Page MenuHomePhabricator

Enable parsing C++ names generated by lambda functions.
ClosedPublic

Authored by wengxt on Jun 30 2017, 2:38 PM.

Details

Reviewers
clayborg
eugene
Summary

CPlusPlusLanguage::MethodName could not parse demangled name generated
by lambda functions. Fix that and add a regression test.

Event Timeline

wengxt created this revision.Jun 30 2017, 2:38 PM
labath added a subscriber: labath.

Adding eugene, as he wrote that piece of code. Seems reasonable at a first glance though.

eugene accepted this revision.Jul 5 2017, 2:01 AM

Great change! Thanks making it.

This revision is now accepted and ready to land.Jul 5 2017, 2:01 AM
clayborg accepted this revision.Jul 5 2017, 8:54 AM

I don't have commit access. May any one help me to commit?

I don't have commit access. May any one help me to commit?

I'll do it for you.

Jim already did it. Thanks Jim.

wengxt closed this revision.Oct 23 2017, 8:52 PM